package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.flow.TemplateInfo;

/**
 * 返利模板sql映射类相当于DAO
 * @author 欧阳明
 * @date 2016-7-4
 */
public interface TemplateInfoMapper {

	/**
	 * 获取模板列表用于下拉框展示
	 * @return
	 */
	public List<TemplateInfo>  getTemplateListBySelect();
	
	/**
	 * 按条件获取模板列表
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public List<TemplateInfo> getTemplateList(TemplateInfo templateInfo);
	
	/**
	 * 按条件获取模板数据数量
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer getTemplateCount(TemplateInfo templateInfo);
	
	/**
	 * 添加模板数据
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer addTemplateInfo(TemplateInfo templateInfo);
	
	/**
	 * 根据模板id查询模板信息
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public TemplateInfo getTemplateInfoById(TemplateInfo templateInfo);
	
	/**
	 * 修改流程模板信息
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer updateTemplateInfo(TemplateInfo templateInfo);
	
}
